std::_Vector_base< _Tp, _Alloc >(3)

NAME
std::_Vector_base< _Tp, _Alloc > - See bits/stl_deque.h's _Deque_base for an explanation.

SYNOPSIS

#include <vector>

Inherited by std::vector< _State< _TraitsT::char_type > > [protected], std::vector< sub_match< _Bi_iter >, allocator< sub_match< _Bi_iter > > > [protected], std::vector< block_type, allocator_type > [protected], std::vector< _Node *, _Nodeptr_Alloc > [protected], std::vector< __gnu_parallel::_Piece< _DifferenceType > > [protected], std::vector< Catalog_info * > [protected], std::vector< _CharT > [protected], std::vector< _StringT > [protected], std::vector< std::pair< _StrTransT, _StrTransT > > [protected], std::vector< _CharClassT > [protected], std::vector< sub_match< _BiIter >, _Alloc > [protected], std::vector< std::pair< _BiIter, int > > [protected], std::vector< std::pair< _StateIdT, vector< sub_match< _BiIter >, _Alloc > > > [protected], std::vector< size_t > [protected], std::vector< time_zone > [protected], std::vector< time_zone_link > [protected], std::vector< leap_second > [protected], std::vector< double > [protected], std::vector< _Cmpt > [protected], std::vector< __diff_type > [protected], std::vector< _RealType > [protected], std::vector< _BigBlock > [protected], std::vector< int > [protected], std::vector< result_type > [protected], and std::vector< _Tp, _Alloc > [protected].

  Public Types
typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Tp >::other _Tp_alloc_type
typedef _Alloc allocator_type
typedef __gnu_cxx::__alloc_traits< _Tp_alloc_type >::pointer pointer

  Public Member Functions
constexpr _Vector_base (_Tp_alloc_type &&__a) noexcept
_Vector_base (_Vector_base &&)=default
constexpr _Vector_base (_Vector_base &&__x, const allocator_type &__a)
constexpr _Vector_base (const allocator_type &__a) noexcept
constexpr _Vector_base (const allocator_type &__a, _Vector_base &&__x)
constexpr _Vector_base (size_t __n)
constexpr _Vector_base (size_t __n, const allocator_type &__a)
constexpr pointer _M_allocate (size_t __n)
constexpr void _M_deallocate (pointer __p, size_t __n)
constexpr const _Tp_alloc_type & _M_get_Tp_allocator () const noexcept
constexpr _Tp_alloc_type & _M_get_Tp_allocator () noexcept
constexpr allocator_type get_allocator () const noexcept

  Public Attributes
_Vector_impl _M_impl

  Protected Member Functions
constexpr void _M_create_storage (size_t __n)

Detailed Description

  template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >"See bits/stl_deque.h's _Deque_base for an explanation.

Author

Generated automatically by Doxygen for libstdc++ from the source code.